












Jeux de données d'observabilité bêta












Exemples
Exemples réels de code
Lister les jeux de données existants
GET /v1/observability/datasets
page_size
page
q
200
Réponse réussie
Playground
Testez les endpoints en direct
from mistralai.client import Mistral
import os
with Mistral(
api_key=os.getenv("MISTRAL_API_KEY", ""),
) as mistral:
res = mistral.beta.observability.datasets.list(page_size=50, page=1)
# Handle response
print(res)
from mistralai.client import Mistral
import os
with Mistral(
api_key=os.getenv("MISTRAL_API_KEY", ""),
) as mistral:
res = mistral.beta.observability.datasets.list(page_size=50, page=1)
# Handle response
print(res)
curl https://api.mistral.ai/v1/observability/datasets \
-X GET \
-H 'Authorization: Bearer YOUR_APIKEY_HERE'curl https://api.mistral.ai/v1/observability/datasets \
-X GET \
-H 'Authorization: Bearer YOUR_APIKEY_HERE'200
{
"datasets": {
"count": 87
}
}{
"datasets": {
"count": 87
}
}Créer un nouveau jeu de données vide
POST /v1/observability/datasets
description
name
201
Réponse réussie
created_at
deleted_at
description
id
name
owner_id
updated_at
workspace_id
Playground
Testez les endpoints en direct
from mistralai.client import Mistral
import os
with Mistral(
api_key=os.getenv("MISTRAL_API_KEY", ""),
) as mistral:
res = mistral.beta.observability.datasets.create(name="<value>", description="citizen whoever sustenance necessary vibrant openly")
# Handle response
print(res)
from mistralai.client import Mistral
import os
with Mistral(
api_key=os.getenv("MISTRAL_API_KEY", ""),
) as mistral:
res = mistral.beta.observability.datasets.create(name="<value>", description="citizen whoever sustenance necessary vibrant openly")
# Handle response
print(res)
curl https://api.mistral.ai/v1/observability/datasets \
-X POST \
-H 'Authorization: Bearer YOUR_APIKEY_HERE' \
-H 'Content-Type: application/json' \
-d '{
"description": "My Dataset description",
"name": "My Dataset"
}'curl https://api.mistral.ai/v1/observability/datasets \
-X POST \
-H 'Authorization: Bearer YOUR_APIKEY_HERE' \
-H 'Content-Type: application/json' \
-d '{
"description": "My Dataset description",
"name": "My Dataset"
}'201
{
"created_at": "2025-12-17T10:25:07.818693Z",
"deleted_at": null,
"description": "My resource description.",
"id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
"name": "My resource",
"owner_id": "9c0ab39f-0cd0-46cd-bd30-8bf2d50be5ce",
"updated_at": "2025-12-17T10:41:03.469341Z",
"workspace_id": "019b2bd7-96e7-7219-8c0b-45a73da50088"
}{
"created_at": "2025-12-17T10:25:07.818693Z",
"deleted_at": null,
"description": "My resource description.",
"id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
"name": "My resource",
"owner_id": "9c0ab39f-0cd0-46cd-bd30-8bf2d50be5ce",
"updated_at": "2025-12-17T10:41:03.469341Z",
"workspace_id": "019b2bd7-96e7-7219-8c0b-45a73da50088"
}Obtenir un jeu de données par identifiant
GET /v1/observability/datasets/{dataset_id}
dataset_id
200
Réponse réussie
created_at
deleted_at
description
id
name
owner_id
updated_at
workspace_id
Playground
Testez les endpoints en direct
from mistralai.client import Mistral
import os
with Mistral(
api_key=os.getenv("MISTRAL_API_KEY", ""),
) as mistral:
res = mistral.beta.observability.datasets.fetch(dataset_id="036fa362-e080-4fa5-beff-a334a70efb58")
# Handle response
print(res)
from mistralai.client import Mistral
import os
with Mistral(
api_key=os.getenv("MISTRAL_API_KEY", ""),
) as mistral:
res = mistral.beta.observability.datasets.fetch(dataset_id="036fa362-e080-4fa5-beff-a334a70efb58")
# Handle response
print(res)
curl https://api.mistral.ai/v1/observability/datasets/{dataset_id} \
-X GET \
-H 'Authorization: Bearer YOUR_APIKEY_HERE'curl https://api.mistral.ai/v1/observability/datasets/{dataset_id} \
-X GET \
-H 'Authorization: Bearer YOUR_APIKEY_HERE'200
{
"created_at": "2025-12-17T10:25:07.818693Z",
"deleted_at": null,
"description": "My resource description.",
"id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
"name": "My resource",
"owner_id": "9c0ab39f-0cd0-46cd-bd30-8bf2d50be5ce",
"updated_at": "2025-12-17T10:41:03.469341Z",
"workspace_id": "019b2bd7-96e7-7219-8c0b-45a73da50088"
}{
"created_at": "2025-12-17T10:25:07.818693Z",
"deleted_at": null,
"description": "My resource description.",
"id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
"name": "My resource",
"owner_id": "9c0ab39f-0cd0-46cd-bd30-8bf2d50be5ce",
"updated_at": "2025-12-17T10:41:03.469341Z",
"workspace_id": "019b2bd7-96e7-7219-8c0b-45a73da50088"
}Supprimer un jeu de données
DELETE /v1/observability/datasets/{dataset_id}
dataset_id
Playground
Testez les endpoints en direct
from mistralai.client import Mistral
import os
with Mistral(
api_key=os.getenv("MISTRAL_API_KEY", ""),
) as mistral:
mistral.beta.observability.datasets.delete(dataset_id="baf961a3-bb8e-4085-89ef-de9c5d8c4e77")
# Use the SDK ...
from mistralai.client import Mistral
import os
with Mistral(
api_key=os.getenv("MISTRAL_API_KEY", ""),
) as mistral:
mistral.beta.observability.datasets.delete(dataset_id="baf961a3-bb8e-4085-89ef-de9c5d8c4e77")
# Use the SDK ...
curl https://api.mistral.ai/v1/observability/datasets/{dataset_id} \
-X DELETE \
-H 'Authorization: Bearer YOUR_APIKEY_HERE' \
-H 'Content-Type: application/json'curl https://api.mistral.ai/v1/observability/datasets/{dataset_id} \
-X DELETE \
-H 'Authorization: Bearer YOUR_APIKEY_HERE' \
-H 'Content-Type: application/json'Modifier partiellement un jeu de données
PATCH /v1/observability/datasets/{dataset_id}
dataset_id
description
name
200
Réponse réussie
created_at
deleted_at
description
id
name
owner_id
updated_at
workspace_id
Playground
Testez les endpoints en direct
from mistralai.client import Mistral
import os
with Mistral(
api_key=os.getenv("MISTRAL_API_KEY", ""),
) as mistral:
res = mistral.beta.observability.datasets.update(dataset_id="95be9afc-fc05-44a6-af9f-2362de1224f9")
# Handle response
print(res)
from mistralai.client import Mistral
import os
with Mistral(
api_key=os.getenv("MISTRAL_API_KEY", ""),
) as mistral:
res = mistral.beta.observability.datasets.update(dataset_id="95be9afc-fc05-44a6-af9f-2362de1224f9")
# Handle response
print(res)
curl https://api.mistral.ai/v1/observability/datasets/{dataset_id} \
-X PATCH \
-H 'Authorization: Bearer YOUR_APIKEY_HERE' \
-H 'Content-Type: application/json' \
-d '{}'curl https://api.mistral.ai/v1/observability/datasets/{dataset_id} \
-X PATCH \
-H 'Authorization: Bearer YOUR_APIKEY_HERE' \
-H 'Content-Type: application/json' \
-d '{}'200
{
"created_at": "2025-12-17T10:25:07.818693Z",
"deleted_at": null,
"description": "My resource description.",
"id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
"name": "My resource",
"owner_id": "9c0ab39f-0cd0-46cd-bd30-8bf2d50be5ce",
"updated_at": "2025-12-17T10:41:03.469341Z",
"workspace_id": "019b2bd7-96e7-7219-8c0b-45a73da50088"
}{
"created_at": "2025-12-17T10:25:07.818693Z",
"deleted_at": null,
"description": "My resource description.",
"id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
"name": "My resource",
"owner_id": "9c0ab39f-0cd0-46cd-bd30-8bf2d50be5ce",
"updated_at": "2025-12-17T10:41:03.469341Z",
"workspace_id": "019b2bd7-96e7-7219-8c0b-45a73da50088"
}Lister les enregistrements existants dans le jeu de données
GET /v1/observability/datasets/{dataset_id}/records
dataset_id
page_size
page
200
Réponse réussie
Playground
Testez les endpoints en direct
from mistralai.client import Mistral
import os
with Mistral(
api_key=os.getenv("MISTRAL_API_KEY", ""),
) as mistral:
res = mistral.beta.observability.datasets.list_records(dataset_id="444d2a88-e636-4bc0-ab6c-919bedaed112", page_size=50, page=1)
# Handle response
print(res)
from mistralai.client import Mistral
import os
with Mistral(
api_key=os.getenv("MISTRAL_API_KEY", ""),
) as mistral:
res = mistral.beta.observability.datasets.list_records(dataset_id="444d2a88-e636-4bc0-ab6c-919bedaed112", page_size=50, page=1)
# Handle response
print(res)
curl https://api.mistral.ai/v1/observability/datasets/{dataset_id}/records \
-X GET \
-H 'Authorization: Bearer YOUR_APIKEY_HERE'curl https://api.mistral.ai/v1/observability/datasets/{dataset_id}/records \
-X GET \
-H 'Authorization: Bearer YOUR_APIKEY_HERE'200
{
"records": {
"count": 87
}
}{
"records": {
"count": 87
}
}Ajouter une conversation au jeu de données
POST /v1/observability/datasets/{dataset_id}/records
dataset_id
properties
201
Réponse réussie
created_at
dataset_id
deleted_at
id
properties
source
updated_at
Playground
Testez les endpoints en direct
from mistralai.client import Mistral, models
import os
with Mistral(
api_key=os.getenv("MISTRAL_API_KEY", ""),
) as mistral:
res = mistral.beta.observability.datasets.create_record(dataset_id="4c54ed13-1459-44e1-8696-1a6df06f7177", payload=models.ConversationPayload(
messages=[
{
"key": "<value>",
},
{
"key": "<value>",
"key1": "<value>",
},
],
), properties={
"key": "<value>",
"key1": "<value>",
"key2": "<value>",
})
# Handle response
print(res)
from mistralai.client import Mistral, models
import os
with Mistral(
api_key=os.getenv("MISTRAL_API_KEY", ""),
) as mistral:
res = mistral.beta.observability.datasets.create_record(dataset_id="4c54ed13-1459-44e1-8696-1a6df06f7177", payload=models.ConversationPayload(
messages=[
{
"key": "<value>",
},
{
"key": "<value>",
"key1": "<value>",
},
],
), properties={
"key": "<value>",
"key1": "<value>",
"key2": "<value>",
})
# Handle response
print(res)
curl https://api.mistral.ai/v1/observability/datasets/{dataset_id}/records \
-X POST \
-H 'Authorization: Bearer YOUR_APIKEY_HERE' \
-H 'Content-Type: application/json' \
-d '{
"payload": {
"messages": [
[
null
]
]
},
"properties": [
null
]
}'curl https://api.mistral.ai/v1/observability/datasets/{dataset_id}/records \
-X POST \
-H 'Authorization: Bearer YOUR_APIKEY_HERE' \
-H 'Content-Type: application/json' \
-d '{
"payload": {
"messages": [
[
null
]
]
},
"properties": [
null
]
}'201
{
"created_at": "2025-12-17T10:25:07.818693Z",
"dataset_id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
"deleted_at": null,
"id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
"payload": {
"messages": [
[
null
]
]
},
"properties": [
null
],
"source": "EXPLORER",
"updated_at": "2025-12-17T10:41:03.469341Z"
}{
"created_at": "2025-12-17T10:25:07.818693Z",
"dataset_id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
"deleted_at": null,
"id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
"payload": {
"messages": [
[
null
]
]
},
"properties": [
null
],
"source": "EXPLORER",
"updated_at": "2025-12-17T10:41:03.469341Z"
}Peupler le jeu de données avec une campagne
POST /v1/observability/datasets/{dataset_id}/imports/from-campaign
dataset_id
campaign_id
202
Réponse réussie
created_at
creator_id
dataset_id
deleted_at
id
message
progress
status
updated_at
workspace_id
Playground
Testez les endpoints en direct
from mistralai.client import Mistral
import os
with Mistral(
api_key=os.getenv("MISTRAL_API_KEY", ""),
) as mistral:
res = mistral.beta.observability.datasets.import_from_campaign(dataset_id="306b5f31-e31c-4e06-9220-e3008c61bf1b", campaign_id="71a2e42d-7414-4fe6-89cb-44a2122b6f6b")
# Handle response
print(res)
from mistralai.client import Mistral
import os
with Mistral(
api_key=os.getenv("MISTRAL_API_KEY", ""),
) as mistral:
res = mistral.beta.observability.datasets.import_from_campaign(dataset_id="306b5f31-e31c-4e06-9220-e3008c61bf1b", campaign_id="71a2e42d-7414-4fe6-89cb-44a2122b6f6b")
# Handle response
print(res)
curl https://api.mistral.ai/v1/observability/datasets/{dataset_id}/imports/from-campaign \
-X POST \
-H 'Authorization: Bearer YOUR_APIKEY_HERE' \
-H 'Content-Type: application/json' \
-d '{
"campaign_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}'curl https://api.mistral.ai/v1/observability/datasets/{dataset_id}/imports/from-campaign \
-X POST \
-H 'Authorization: Bearer YOUR_APIKEY_HERE' \
-H 'Content-Type: application/json' \
-d '{
"campaign_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}'202
{
"created_at": "2025-12-17T10:25:07.818693Z",
"creator_id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
"dataset_id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
"deleted_at": null,
"id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
"status": "RUNNING",
"updated_at": "2025-12-17T10:41:03.469341Z",
"workspace_id": "019b2bd7-96e7-7219-8c0b-45a73da50088"
}{
"created_at": "2025-12-17T10:25:07.818693Z",
"creator_id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
"dataset_id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
"deleted_at": null,
"id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
"status": "RUNNING",
"updated_at": "2025-12-17T10:41:03.469341Z",
"workspace_id": "019b2bd7-96e7-7219-8c0b-45a73da50088"
}Peupler le jeu de données avec des échantillons provenant de l'explorateur
POST /v1/observability/datasets/{dataset_id}/imports/from-explorer
dataset_id
completion_event_ids
202
Réponse réussie
created_at
creator_id
dataset_id
deleted_at
id
message
progress
status
updated_at
workspace_id
Playground
Testez les endpoints en direct
from mistralai.client import Mistral
import os
with Mistral(
api_key=os.getenv("MISTRAL_API_KEY", ""),
) as mistral:
res = mistral.beta.observability.datasets.import_from_explorer(dataset_id="ee1930e9-54f7-4c68-aa8a-40fe5d2a3485", completion_event_ids=[
"<value 1>",
"<value 2>",
"<value 3>",
])
# Handle response
print(res)
from mistralai.client import Mistral
import os
with Mistral(
api_key=os.getenv("MISTRAL_API_KEY", ""),
) as mistral:
res = mistral.beta.observability.datasets.import_from_explorer(dataset_id="ee1930e9-54f7-4c68-aa8a-40fe5d2a3485", completion_event_ids=[
"<value 1>",
"<value 2>",
"<value 3>",
])
# Handle response
print(res)
curl https://api.mistral.ai/v1/observability/datasets/{dataset_id}/imports/from-explorer \
-X POST \
-H 'Authorization: Bearer YOUR_APIKEY_HERE' \
-H 'Content-Type: application/json' \
-d '{
"completion_event_ids": [
"a1b2c3d4-e5f6-7890-abcd-ef1234567890"
]
}'curl https://api.mistral.ai/v1/observability/datasets/{dataset_id}/imports/from-explorer \
-X POST \
-H 'Authorization: Bearer YOUR_APIKEY_HERE' \
-H 'Content-Type: application/json' \
-d '{
"completion_event_ids": [
"a1b2c3d4-e5f6-7890-abcd-ef1234567890"
]
}'202
{
"created_at": "2025-12-17T10:25:07.818693Z",
"creator_id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
"dataset_id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
"deleted_at": null,
"id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
"status": "RUNNING",
"updated_at": "2025-12-17T10:41:03.469341Z",
"workspace_id": "019b2bd7-96e7-7219-8c0b-45a73da50088"
}{
"created_at": "2025-12-17T10:25:07.818693Z",
"creator_id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
"dataset_id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
"deleted_at": null,
"id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
"status": "RUNNING",
"updated_at": "2025-12-17T10:41:03.469341Z",
"workspace_id": "019b2bd7-96e7-7219-8c0b-45a73da50088"
}Peupler le jeu de données avec des échantillons provenant d'un fichier téléchargé
POST /v1/observability/datasets/{dataset_id}/imports/from-file
dataset_id
file_id
202
Réponse réussie
created_at
creator_id
dataset_id
deleted_at
id
message
progress
status
updated_at
workspace_id
Playground
Testez les endpoints en direct
from mistralai.client import Mistral
import os
with Mistral(
api_key=os.getenv("MISTRAL_API_KEY", ""),
) as mistral:
res = mistral.beta.observability.datasets.import_from_file(dataset_id="1c96c925-cc58-4529-863d-9fe66a6f1924", file_id="<id>")
# Handle response
print(res)
from mistralai.client import Mistral
import os
with Mistral(
api_key=os.getenv("MISTRAL_API_KEY", ""),
) as mistral:
res = mistral.beta.observability.datasets.import_from_file(dataset_id="1c96c925-cc58-4529-863d-9fe66a6f1924", file_id="<id>")
# Handle response
print(res)
curl https://api.mistral.ai/v1/observability/datasets/{dataset_id}/imports/from-file \
-X POST \
-H 'Authorization: Bearer YOUR_APIKEY_HERE' \
-H 'Content-Type: application/json' \
-d '{
"file_id": "7f8e9d0c-1b2a-3c4d-5e6f-7a8b9c0d1e2f"
}'curl https://api.mistral.ai/v1/observability/datasets/{dataset_id}/imports/from-file \
-X POST \
-H 'Authorization: Bearer YOUR_APIKEY_HERE' \
-H 'Content-Type: application/json' \
-d '{
"file_id": "7f8e9d0c-1b2a-3c4d-5e6f-7a8b9c0d1e2f"
}'202
{
"created_at": "2025-12-17T10:25:07.818693Z",
"creator_id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
"dataset_id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
"deleted_at": null,
"id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
"status": "RUNNING",
"updated_at": "2025-12-17T10:41:03.469341Z",
"workspace_id": "019b2bd7-96e7-7219-8c0b-45a73da50088"
}{
"created_at": "2025-12-17T10:25:07.818693Z",
"creator_id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
"dataset_id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
"deleted_at": null,
"id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
"status": "RUNNING",
"updated_at": "2025-12-17T10:41:03.469341Z",
"workspace_id": "019b2bd7-96e7-7219-8c0b-45a73da50088"
}Peupler le jeu de données avec des échantillons provenant du terrain de jeu
POST /v1/observability/datasets/{dataset_id}/imports/from-playground
dataset_id
conversation_ids
202
Réponse réussie
created_at
creator_id
dataset_id
deleted_at
id
message
progress
status
updated_at
workspace_id
Playground
Testez les endpoints en direct
from mistralai.client import Mistral
import os
with Mistral(
api_key=os.getenv("MISTRAL_API_KEY", ""),
) as mistral:
res = mistral.beta.observability.datasets.import_from_playground(dataset_id="5cb42584-5fcf-4837-997a-6a67c5e6900d", conversation_ids=[])
# Handle response
print(res)
from mistralai.client import Mistral
import os
with Mistral(
api_key=os.getenv("MISTRAL_API_KEY", ""),
) as mistral:
res = mistral.beta.observability.datasets.import_from_playground(dataset_id="5cb42584-5fcf-4837-997a-6a67c5e6900d", conversation_ids=[])
# Handle response
print(res)
curl https://api.mistral.ai/v1/observability/datasets/{dataset_id}/imports/from-playground \
-X POST \
-H 'Authorization: Bearer YOUR_APIKEY_HERE' \
-H 'Content-Type: application/json' \
-d '{
"conversation_ids": [
"9d8c7b6a-5e4f-3210-fedc-ba9876543210"
]
}'curl https://api.mistral.ai/v1/observability/datasets/{dataset_id}/imports/from-playground \
-X POST \
-H 'Authorization: Bearer YOUR_APIKEY_HERE' \
-H 'Content-Type: application/json' \
-d '{
"conversation_ids": [
"9d8c7b6a-5e4f-3210-fedc-ba9876543210"
]
}'202
{
"created_at": "2025-12-17T10:25:07.818693Z",
"creator_id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
"dataset_id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
"deleted_at": null,
"id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
"status": "RUNNING",
"updated_at": "2025-12-17T10:41:03.469341Z",
"workspace_id": "019b2bd7-96e7-7219-8c0b-45a73da50088"
}{
"created_at": "2025-12-17T10:25:07.818693Z",
"creator_id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
"dataset_id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
"deleted_at": null,
"id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
"status": "RUNNING",
"updated_at": "2025-12-17T10:41:03.469341Z",
"workspace_id": "019b2bd7-96e7-7219-8c0b-45a73da50088"
}Peupler le jeu de données avec des échantillons provenant d'un autre jeu de données
POST /v1/observability/datasets/{dataset_id}/imports/from-dataset
dataset_id
dataset_record_ids
202
Réponse réussie
created_at
creator_id
dataset_id
deleted_at
id
message
progress
status
updated_at
workspace_id
Playground
Testez les endpoints en direct
from mistralai.client import Mistral
import os
with Mistral(
api_key=os.getenv("MISTRAL_API_KEY", ""),
) as mistral:
res = mistral.beta.observability.datasets.import_from_dataset_records(dataset_id="ada96a08-d724-4e5c-9111-aaf1bdb7d588", dataset_record_ids=[
"58fe798a-537b-4c61-9efc-d1d96d5d264a",
"cfa1d197-deda-456e-906b-dd84dccfcd17",
])
# Handle response
print(res)
from mistralai.client import Mistral
import os
with Mistral(
api_key=os.getenv("MISTRAL_API_KEY", ""),
) as mistral:
res = mistral.beta.observability.datasets.import_from_dataset_records(dataset_id="ada96a08-d724-4e5c-9111-aaf1bdb7d588", dataset_record_ids=[
"58fe798a-537b-4c61-9efc-d1d96d5d264a",
"cfa1d197-deda-456e-906b-dd84dccfcd17",
])
# Handle response
print(res)
curl https://api.mistral.ai/v1/observability/datasets/{dataset_id}/imports/from-dataset \
-X POST \
-H 'Authorization: Bearer YOUR_APIKEY_HERE' \
-H 'Content-Type: application/json' \
-d '{
"dataset_record_ids": [
"c2e8a4f0-1d3b-4a6c-8e9f-0a1b2c3d4e5f"
]
}'curl https://api.mistral.ai/v1/observability/datasets/{dataset_id}/imports/from-dataset \
-X POST \
-H 'Authorization: Bearer YOUR_APIKEY_HERE' \
-H 'Content-Type: application/json' \
-d '{
"dataset_record_ids": [
"c2e8a4f0-1d3b-4a6c-8e9f-0a1b2c3d4e5f"
]
}'202
{
"created_at": "2025-12-17T10:25:07.818693Z",
"creator_id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
"dataset_id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
"deleted_at": null,
"id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
"status": "RUNNING",
"updated_at": "2025-12-17T10:41:03.469341Z",
"workspace_id": "019b2bd7-96e7-7219-8c0b-45a73da50088"
}{
"created_at": "2025-12-17T10:25:07.818693Z",
"creator_id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
"dataset_id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
"deleted_at": null,
"id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
"status": "RUNNING",
"updated_at": "2025-12-17T10:41:03.469341Z",
"workspace_id": "019b2bd7-96e7-7219-8c0b-45a73da50088"
}Exporter vers l'API Fichiers et récupérer l'URL présignée pour télécharger le fichier JSONL résultant
GET /v1/observability/datasets/{dataset_id}/exports/to-jsonl
dataset_id
200
Réponse réussie
file_url
Playground
Testez les endpoints en direct
from mistralai.client import Mistral
import os
with Mistral(
api_key=os.getenv("MISTRAL_API_KEY", ""),
) as mistral:
res = mistral.beta.observability.datasets.export_to_jsonl(dataset_id="d521add6-d909-4a69-a460-cb880d87b773")
# Handle response
print(res)
from mistralai.client import Mistral
import os
with Mistral(
api_key=os.getenv("MISTRAL_API_KEY", ""),
) as mistral:
res = mistral.beta.observability.datasets.export_to_jsonl(dataset_id="d521add6-d909-4a69-a460-cb880d87b773")
# Handle response
print(res)
curl https://api.mistral.ai/v1/observability/datasets/{dataset_id}/exports/to-jsonl \
-X GET \
-H 'Authorization: Bearer YOUR_APIKEY_HERE'curl https://api.mistral.ai/v1/observability/datasets/{dataset_id}/exports/to-jsonl \
-X GET \
-H 'Authorization: Bearer YOUR_APIKEY_HERE'200
{
"file_url": "https://example.com/data.jsonl"
}{
"file_url": "https://example.com/data.jsonl"
}Obtenir l'état d'une tâche d'importation de jeu de données
GET /v1/observability/datasets/{dataset_id}/tasks/{task_id}
dataset_id
task_id
200
Réponse réussie
created_at
creator_id
dataset_id
deleted_at
id
message
progress
status
updated_at
workspace_id
Playground
Testez les endpoints en direct
from mistralai.client import Mistral
import os
with Mistral(
api_key=os.getenv("MISTRAL_API_KEY", ""),
) as mistral:
res = mistral.beta.observability.datasets.fetch_task(dataset_id="b64b504e-58a2-4d52-979b-e2634b301235", task_id="1713cde2-dea1-410d-851e-8cea964ffa14")
# Handle response
print(res)
from mistralai.client import Mistral
import os
with Mistral(
api_key=os.getenv("MISTRAL_API_KEY", ""),
) as mistral:
res = mistral.beta.observability.datasets.fetch_task(dataset_id="b64b504e-58a2-4d52-979b-e2634b301235", task_id="1713cde2-dea1-410d-851e-8cea964ffa14")
# Handle response
print(res)
curl https://api.mistral.ai/v1/observability/datasets/{dataset_id}/tasks/{task_id} \
-X GET \
-H 'Authorization: Bearer YOUR_APIKEY_HERE'curl https://api.mistral.ai/v1/observability/datasets/{dataset_id}/tasks/{task_id} \
-X GET \
-H 'Authorization: Bearer YOUR_APIKEY_HERE'200
{
"created_at": "2025-12-17T10:25:07.818693Z",
"creator_id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
"dataset_id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
"deleted_at": null,
"id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
"status": "RUNNING",
"updated_at": "2025-12-17T10:41:03.469341Z",
"workspace_id": "019b2bd7-96e7-7219-8c0b-45a73da50088"
}{
"created_at": "2025-12-17T10:25:07.818693Z",
"creator_id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
"dataset_id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
"deleted_at": null,
"id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
"status": "RUNNING",
"updated_at": "2025-12-17T10:41:03.469341Z",
"workspace_id": "019b2bd7-96e7-7219-8c0b-45a73da50088"
}Lister les tâches d'importation pour le jeu de données donné
GET /v1/observability/datasets/{dataset_id}/tasks
dataset_id
page_size
page
200
Réponse réussie
Playground
Testez les endpoints en direct
from mistralai.client import Mistral
import os
with Mistral(
api_key=os.getenv("MISTRAL_API_KEY", ""),
) as mistral:
res = mistral.beta.observability.datasets.list_tasks(dataset_id="29903443-7f9c-42a6-9b6b-fc5cbef4191a", page_size=50, page=1)
# Handle response
print(res)
from mistralai.client import Mistral
import os
with Mistral(
api_key=os.getenv("MISTRAL_API_KEY", ""),
) as mistral:
res = mistral.beta.observability.datasets.list_tasks(dataset_id="29903443-7f9c-42a6-9b6b-fc5cbef4191a", page_size=50, page=1)
# Handle response
print(res)
curl https://api.mistral.ai/v1/observability/datasets/{dataset_id}/tasks \
-X GET \
-H 'Authorization: Bearer YOUR_APIKEY_HERE'curl https://api.mistral.ai/v1/observability/datasets/{dataset_id}/tasks \
-X GET \
-H 'Authorization: Bearer YOUR_APIKEY_HERE'200
{
"tasks": {
"count": 87
}
}{
"tasks": {
"count": 87
}
}